// Copyright (c) 2017, Marty Mills <daggerbot@gmail.com>
// This software is available under the terms of the zlib license.
// See COPYING.md for more information.

extern crate dterm;
extern crate dwindow;

use dterm::{pascii, Terminal};
use dwindow::{Display, Event};

fn main () {
    // Open dwindow display required by dterm.
    let display = Display::open().expect("can't open display");

    // Create terminal window.
    let terminal: Terminal<pascii::Char> = Terminal::new(&display)
                                           .with_built_in_font()
                                           .with_size((80, 50))
                                           .build().expect("can't create terminal window");

    // Display an example message.
    terminal.put_str("The quick brown fox jumps over the lazy dog.");

    // Main loop.
    terminal.run(&display, |event| {
        match event {
            Event::Close(_) => { display.stop(); },
            _ => ()
        }
    }).expect("error in main loop");
}
