// Copyright (c) 2017, Marty Mills <daggerbot@gmail.com>
// This software is available under the terms of the zlib license.
// See COPYING.md for more information.

extern crate dcolor;
extern crate dgl;
extern crate dimage;
extern crate dinput;
extern crate dnum;
#[cfg(feature = "dterm-built-in-font")]
extern crate dterm_built_in_font;
#[cfg(feature = "dterm-gl")]
extern crate dterm_gl;
extern crate dvec;
extern crate dwindow;
#[allow(unused_imports)]
#[macro_use]
extern crate log;
extern crate try_from;

/// Code Page 437 character set.
pub mod cp437;
/// Printable ASCII character set.
pub mod pascii;

#[cfg(feature = "built-in-font")]
mod built_in_font;
mod error;
mod font;
mod render;
mod terminal;
mod text;

pub use dwindow::Coord;

pub use error::{Error, Result};
pub use font::{Font};
pub use terminal::{Gravity, ResizeMode, Terminal, TerminalBuilder};
pub use text::{IterChars};
